//go:build windows

package yu_deflate

import (
	"fmt"
	yu_file "gogs.qqck.cn/s/tools/file"
	"testing"
)

func TestDeflate(t *testing.T) {
	j_file := "E:\\work\\user\\golang\\go-tools\\hpsocket\\api_windows_x32.dll"
	fmt.Println(len(Deflate(yu_file.Get(j_file))))
	fmt.Println(yu_file.Set(j_file+".en", Deflate(yu_file.Get(j_file))))
	j_file = "E:\\work\\user\\golang\\go-tools\\hpsocket\\api_windows_x64.dll"
	fmt.Println(len(Deflate(yu_file.Get(j_file))))
	fmt.Println(yu_file.Set(j_file+".en", Deflate(yu_file.Get(j_file))))
	j_file = "E:\\work\\user\\golang\\go-tools\\curl\\api_windows_x32.dll"
	fmt.Println(len(Deflate(yu_file.Get(j_file))))
	fmt.Println(yu_file.Set(j_file+".en", Deflate(yu_file.Get(j_file))))
	j_file = "E:\\work\\user\\golang\\go-tools\\curl\\api_windows_x64.dll"
	fmt.Println(len(Deflate(yu_file.Get(j_file))))
	fmt.Println(yu_file.Set(j_file+".en", Deflate(yu_file.Get(j_file))))
}
